import React from 'react';
import type { GlyphName } from '@leafygreen-ui/icon';
export type TabTheme = {
    '--workspace-tab-background-color': string;
    '--workspace-tab-selected-background-color': string;
    '--workspace-tab-top-border-color': string;
    '--workspace-tab-selected-top-border-color': string;
    '--workspace-tab-border-color': string;
    '--workspace-tab-color': string;
    '--workspace-tab-selected-color': string;
    '&:focus-visible': {
        '--workspace-tab-selected-color': string;
        '--workspace-tab-border-color': string;
    };
};
export type WorkspaceTabPluginProps = {
    connectionName?: string;
    type: string;
    title: React.ReactNode;
    isNonExistent?: boolean;
    iconGlyph: GlyphName | 'Logo' | 'Server';
    tooltip?: [string, string][];
    tabTheme?: Partial<TabTheme>;
};
export type WorkspaceTabCoreProps = {
    isSelected: boolean;
    isDragging: boolean;
    onSelect: () => void;
    onClose: () => void;
    tabContentId: string;
};
type TabProps = WorkspaceTabCoreProps & WorkspaceTabPluginProps;
declare function Tab({ connectionName, type, title, tooltip, isNonExistent, isSelected, isDragging, onSelect, onClose, tabContentId, iconGlyph, tabTheme, className: tabClassName, ...props }: TabProps & Omit<React.HTMLProps<HTMLDivElement>, 'title'>): React.JSX.Element;
export { Tab };
//# sourceMappingURL=tab.d.ts.map