import React from 'react';
import type { Tab } from './tab';
import type { WorkspaceTabCoreProps } from './tab';
export declare const scrollbarThumbLightTheme: string;
export declare const scrollbarThumbDarkTheme: string;
type TabItem = {
    id: string;
    renderTab: (props: WorkspaceTabCoreProps) => ReturnType<typeof Tab>;
};
type WorkspaceTabsProps = {
    'aria-label': string;
    onCreateNewTab: () => void;
    onSelectTab: (tabIndex: number) => void;
    onSelectNextTab: () => void;
    onSelectPrevTab: () => void;
    onCloseTab: (tabIndex: number) => void;
    onMoveTab: (oldTabIndex: number, newTabIndex: number) => void;
    tabs: TabItem[];
    selectedTabIndex: number;
};
export declare function useRovingTabIndex<T extends HTMLElement = HTMLElement>({ currentTabbable, }: {
    currentTabbable: number;
}): React.HTMLProps<T>;
declare function WorkspaceTabs({ ['aria-label']: ariaLabel, onCreateNewTab, onCloseTab, onMoveTab, onSelectTab, onSelectNextTab, onSelectPrevTab, tabs, selectedTabIndex, }: WorkspaceTabsProps): React.JSX.Element;
export { WorkspaceTabs };
//# sourceMappingURL=workspace-tabs.d.ts.map